Public Repository

Last pushed: 9 months ago
Short Description
Short description is empty for this repo.
Full Description


This image is based on the official Ruby image for Alpine Linux. It contains
therubyracer gem and the libv8 gem installed with a V8 engine that's built against the
musl C library that Alpine Linux uses.

If you need a JS runtime in your Ruby app, one can, of course, just install NodeJS in Alpine Linux and ExecJS will
just use that
. If you'd prefer not to use NodeJS, then you can use this image to base your app on.


docker run -it --rm joenyland/ruby-alpine-therubyracer
irb(main):001:0> require 'v8'
=> true
irb(main):002:0> 5 * 9
=> 45


  • Any issues, please file a new issue here.
  • Happy to accept pull requests: please raise one here.

To Do

  • Supported Ruby versions
  • v8/libv8 versions
  • Why did I create this? Original issue, etc.
Docker Pull Command